package com.example.tyre.maintenance;

import androidx.databinding.DataBindingUtil;
import androidx.databinding.ObservableBoolean;

import android.os.Bundle;
import android.view.View;

import com.example.tyre.R;
import com.example.tyre.databinding.ActivityTireRepairBinding;
import com.example.tyre.maintenance.base.BaseActivity;

public class TireRepairActivity extends BaseActivity {
    private ObservableBoolean blockState1;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityTireRepairBinding binding = DataBindingUtil.setContentView(this, R.layout.activity_tire_repair);
        blockState1=new ObservableBoolean(false);
        binding.setBlockState1(blockState1);
    }

    public void blockClick_1(View view) {
        blockState1.set(!blockState1.get());
    }
}